Get Item Recommendations

Get item-level recommendations

Returns pairs of user_id and item_id. Depending on recommender_type, items will either be specifically matched to each user based on item-to-item consumption sequences
(recommendation_type == Personalized) or will follow popularity scores (recommender_type == Popularity).

Recommendations can be filtered to a subset of users using the audience_filters input argument.

Recommendations can also be filtered to a set of item properties using the item_filters input argument.
For example: return only recommendations for brand == X and color == yellow

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

An enumeration.

Allowed:
integer
1 to 5000
Defaults to 1000
integer
≥ 0
Defaults to 0
Body Params
audience_filters
object
item_filters
array of objects
Item Filters
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json